﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ЭлектронныйЖурнал
{
    public partial class Добавление_посещаемости : Form
    {
        SqlConnection connection;
        SqlCommand command;
        SqlDataAdapter adapter;
        string conn = "Server=DESKTOP-JES5T51\\SQLEXPRESS;DataBase=EJBD;Trusted_connection=true";
        public Добавление_посещаемости()
        {
            InitializeComponent();
            connection = new SqlConnection("Server=DESKTOP-JES5T51\\SQLEXPRESS;DataBase=EJBD;Trusted_connection=true");
            command = new SqlCommand();
            command.Connection = connection;
            command.CommandText = Text;
            adapter = new SqlDataAdapter(command);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            {           
           
                if (idBox.SelectedIndex == -1 || idGroupBox.SelectedIndex == -1 || string.IsNullOrEmpty(dateBox.Text) || string.IsNullOrEmpty(Status.Text))
                {
                    MessageBox.Show("Не все поля заполнен!");
                    return;
                }
                else
                {
                    if (MessageBox.Show("Вы действительно хотите добавить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        try
                        {
                            connection.Open();
                            command.CommandText = "INSERT INTO Посещаемость (Код_воспитанника,Код_группы, Дата_занятия, Статус_посещения) VALUES(@kv,@kg,@dz,@sp)";
                            command.Parameters.AddWithValue("@kv", idBox.SelectedValue);
                            command.Parameters.AddWithValue("@kg", idGroupBox.SelectedValue);
                            command.Parameters.AddWithValue("@dz", dateBox.Text);
                            command.Parameters.AddWithValue("sp", Status.Text);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            this.Close();
                           PoshForm b = new PoshForm();
                            b.Show();
                            MessageBox.Show("Запись успешно добавлена!");
                        }
                        catch (Exception ex)
                        {
                            MessageBox.Show(ex.Message);
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {

                    }


                }
            }
        }

        private void Добавление_посещаемости_Load(object sender, EventArgs e)
        {
            DataTable gr = new DataTable();
            using (SqlConnection coon = new SqlConnection(conn))
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = coon;
                cmd.CommandText = "SELECT * FROM Воспитанники";
                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                adapter.Fill(gr);
                idBox.DataSource = gr;
                idBox.DisplayMember = "ФИО";
               idBox.ValueMember = "Код";
            }
            DataTable go = new DataTable();
            using (SqlConnection coon = new SqlConnection(conn))
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = coon;
                cmd.CommandText = "SELECT * FROM Группа";
                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                adapter.Fill(go);
            idGroupBox.DataSource = go;
               idGroupBox.DisplayMember = "Название_группы";
                idGroupBox.ValueMember = "Код_группы";
            }
        }

        private void Back_Click(object sender, EventArgs e)
        {
            PoshForm u = new PoshForm();
            u.Show();
            this.Hide();
        }
    }
}
