﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ЭлектронныйЖурнал
{
    public partial class Добавление_расписания : Form
    {
        SqlConnection connection;
        SqlCommand command;
        SqlDataAdapter adapter;
        string conn = "Server=DESKTOP-JES5T51\\SQLEXPRESS;DataBase=EJBD;Trusted_connection=true";
        public Добавление_расписания()
        {
            InitializeComponent();
            comboBox1.SelectedIndex = -1;
            connection = new SqlConnection("Server=DESKTOP-JES5T51\\SQLEXPRESS;DataBase=EJBD;Trusted_connection=true");
            command = new SqlCommand();
            command.Connection = connection;
            command.CommandText = Text;
            adapter = new SqlDataAdapter(command);
        }

        private void AddButton_Click(object sender, EventArgs e)
        {
            if (comboBox1.SelectedIndex == -1 ||  string.IsNullOrEmpty(DateBox.Text) || string.IsNullOrEmpty(NameBox.Text) || string.IsNullOrEmpty(LocationBox.Text) || string.IsNullOrEmpty(StartDate.Text) || string.IsNullOrEmpty(LostDate.Text))
            {
                MessageBox.Show("Не все элементы выбраны!");
                return;
            }
            else
            {
                if (MessageBox.Show("Вы действительно хотите добавить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                {
                    try
                    {
                        connection.Open();
                        command.CommandText = "INSERT INTO Расписание_занятий(Код_группы, Название_занятия,Дата_занятия , Время_начала_занятия, Время_конца_занятия, Место_проведения) VALUES(@kdg,@nz,@dz,@vnz,@vkz,@mp)";
                        command.Parameters.AddWithValue("@kdg", comboBox1.SelectedValue);
                        command.Parameters.AddWithValue("@nz", NameBox.Text);
                        command.Parameters.AddWithValue("@dz", DateTime.Parse(DateBox.Text)); 
                        command.Parameters.AddWithValue("@vnz", DateTime.Parse(StartDate.Text));
                        command.Parameters.AddWithValue("@vkz", DateTime.Parse(LostDate.Text));
                        command.Parameters.AddWithValue("@mp", LocationBox.Text);
                        command.ExecuteReader();
                        command.Parameters.Clear();
                        connection.Close();
                        this.Close();
                        SessionForm b = new SessionForm();
                        b.Show();
                        MessageBox.Show("Запись успешно добавлена!");
                    }
                    catch (Exception ex)
                    {
                        MessageBox.Show(ex.Message);
                        command.Parameters.Clear();
                        connection.Close();
                    }
                }
                else
                {

                }
            }
        }

        private void Добавление_расписания_Load(object sender, EventArgs e)
        {
            DataTable gr = new DataTable();
            using (SqlConnection coon = new SqlConnection(conn))
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = coon;
                cmd.CommandText = "SELECT * FROM Место_проведения";
                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                adapter.Fill(gr);
                LocationBox.DataSource = gr;
                LocationBox.DisplayMember = "Место_проведения";
               LocationBox.ValueMember = "Место_проведения";
            }
            DataTable go = new DataTable();
            using (SqlConnection coon = new SqlConnection(conn))
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = coon;
                cmd.CommandText = "SELECT * FROM Группа";
                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                adapter.Fill(go);
                comboBox1.DataSource = go;
                comboBox1.DisplayMember = "Название_группы";
                comboBox1.ValueMember = "Код_группы";
            }
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {
          
        }

        private void BackButton_Click(object sender, EventArgs e)
        {
            SportForm i = new SportForm();
            i.Show();
            this.Hide();
        }
    }
}
