﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ЭлектронныйЖурнал
{
    public partial class addForm : Form
    {
        SqlConnection connection;
        SqlCommand command;
        SqlDataAdapter adapter;
        string conn = "Server=DESKTOP-JES5T51\\SQLEXPRESS;DataBase=EJBD;Trusted_connection=true";

        public addForm()
        {
            InitializeComponent();
            connection = new SqlConnection("Server=DESKTOP-JES5T51\\SQLEXPRESS;DataBase=EJBD;Trusted_connection=true");
            command = new SqlCommand();
            command.Connection = connection;
            command.CommandText = Text;
            adapter = new SqlDataAdapter(command);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (Воспитанникиclass.add == true)
            {
                if (string.IsNullOrEmpty(NameBox.Text) || string.IsNullOrEmpty(TRPBox.Text))
                {
                    MessageBox.Show("Не все поля заполнен!");
                    return;
                }
                else
                {
                    if (MessageBox.Show("Вы действительно хотите добавить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        try
                        {
                            connection.Open();
                            command.CommandText = "INSERT INTO Воспитанники (Код_группы, Значок_ГТО, ФИО , Адрес, Телефон) VALUES(@kg,@zg,@fio,@a,@t)";
                            command.Parameters.AddWithValue("@kg", GroupBox.SelectedValue);
                            command.Parameters.AddWithValue("@zg", TRPBox.Text);
                            command.Parameters.AddWithValue("@fio", NameBox.Text);
                            command.Parameters.AddWithValue("@a", AdresBox.Text);
                            command.Parameters.AddWithValue("@t", PhoneBox.Text);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            this.Close();
                            SportForm b = new SportForm();
                            b.Show();
                            MessageBox.Show("Запись успешно добавлена!");
                        }
                        catch (Exception ex)
                        {
                            MessageBox.Show(ex.Message);
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {

                    }
                    Воспитанникиclass.add = false;
                }
            }
            if (Воспитанникиclass.change == true)
            {
                if (string.IsNullOrEmpty(NameBox.Text) ||  string.IsNullOrEmpty(TRPBox.Text))
                {
                    MessageBox.Show("Не все поля заполнен!");
                    return;
                }
                else
                {
                    if (MessageBox.Show("Вы действительно хотите изменить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        try
                        {
                            connection.Open();
                            command.CommandText = "UPDATE Воспитанники SET Код_группы=@kg, Значок_ГТО=@zg, ФИО=@fio , Адрес=@a, Телефон=@t where Код=@id";
                            command.Parameters.AddWithValue("@kg", GroupBox.SelectedValue);
                            command.Parameters.AddWithValue("@zg", TRPBox.Text);
                            command.Parameters.AddWithValue("@fio", NameBox.Text);
                            command.Parameters.AddWithValue("@a", AdresBox.Text);
                            command.Parameters.AddWithValue("@t", PhoneBox.Text);
                            command.Parameters.AddWithValue("@id", Воспитанникиclass.id);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            this.Close();
                            SportForm b = new SportForm();
                            b.Show();
                            MessageBox.Show("Запись успешно добавлена!");
                        }
                        catch (Exception ex)
                        {
                            MessageBox.Show(ex.Message);
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {

                    }
                    Воспитанникиclass.change = false;
                }
            }
        }


        private void button3_Click(object sender, EventArgs e)
        {
            MessageBox.Show("В поле группа пишется код группы, т.е 1=Юношеская, 2=Детская, 3=Взрослая");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Menu C = new Menu();
            C.Show();
            this.Hide();
        }

        private void addForm_Load(object sender, EventArgs e)
        {
            DataTable gr = new DataTable();
            using (SqlConnection coon = new SqlConnection(conn))
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = coon;
                cmd.CommandText = "SELECT * FROM Группа";
                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                adapter.Fill(gr);
                GroupBox.DataSource = gr;
               GroupBox.DisplayMember = "Название_группы";
                GroupBox.ValueMember = "Код_группы";
            }
            DataTable gi = new DataTable();
            using (SqlConnection coon = new SqlConnection(conn))
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = coon;
                cmd.CommandText = "SELECT * FROM ГТО";
                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                adapter.Fill(gi);
                TRPBox.DataSource = gi;
                TRPBox.DisplayMember = "Код_ГТО";
                TRPBox.ValueMember = "Код_ГТО";
            }
            NameBox.Text = Воспитанникиclass.ФИО;
            AdresBox.Text = Воспитанникиclass.Адрес;
            PhoneBox.Text = Воспитанникиclass.Телефон;
            TRPBox.Text = Воспитанникиclass.Значок;
            GroupBox.SelectedValue = Воспитанникиclass.Группа;
        }

        private void NameBox_TextChanged(object sender, EventArgs e)
        {

        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void GroupBox_SelectedIndexChanged(object sender, EventArgs e)
        {

        }
    }
}
